import QtQuick 2.12
import QtQuick.Window 2.12
import QtStudio3D.OpenGL 2.8

Window {
    width: 1920
    height: 1080
    visible: true
    title: qsTr("Do not render if not dirty")

    Studio3D {
        anchors.fill: parent

        Presentation {
            source: "qrc:/testSubpresPatch/testSubpresPatch.uia"
        }
    }

    Rectangle {
        id: rect
        width: 500
        height: 50
        color: "yellow"
        anchors.centerIn: parent

        Text {
            anchors.centerIn: parent
            text: "This is QML"
            color: "black"
            font.pixelSize: 40
        }
    }

    PropertyAnimation {
        target: rect
        property: "rotation"
        running: true
        loops: Animation.Infinite
        from: 0
        to: 360
        duration: 5000
    }
}
